# aioquic

`aioquic` is a library for the QUIC network protocol in Python. It features several APIs:

- a QUIC API following the “bring your own I/O” pattern, suitable for embedding in any framework,

- an HTTP/3 API which also follows the “bring your own I/O” pattern,

- a QUIC convenience API built on top of `asyncio`, Python’s standard asynchronous I/O framework.

- Design
  - Sans-IO APIs
  - TLS and encryption
- QUIC API
  - Connection
  - Configuration
  - Events
- HTTP/3 API
  - Connection
  - Events
  - Exceptions
- asyncio API
  - Client
  - Server
  - Common
- Changelog
  - 1.3.0
  - 1.2.0
  - 1.1.0
  - 1.0.0
- License